2025-06-26	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20250626.

	[ Daniel Baumann ]
	* Removing included generated manpage.
	* Renaming ssh-authorizedkeys-command to ssh-pubkey.

2025-06-25	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20250625.

	[ Daniel Baumann ]
	* Adding automatic reload support for dovecot in dehydrated hooks.
	* Reformating services list in dehydrated service-reload hook for better readability.
	* Adding support for external git directory for repositories in git-repo-repack.
	* Correcting values for inverted logic of the fw-lldp-agent flag in linux-ice.
	* Installing linux-tools manpages.
	* Adding ssh-ldap-authorizedkeys.
	* Updating copyright year for 2025.
	* Updating signing key in makefile for 2025.

2024-09-30	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20240930.

	[ Daniel Baumann ]
	* Removing znuny-tools, not used anymore.
	* Updating error messages if dependencies are not there to list all programs in dehydrated-nsupdate hook.
	* Also listing certificate name when sending nsupdate in dehydrated-nsupdate hook to be more verbose.
	* Updating lldp flag in linux-ice.
	* Updating copyright notices for 2024.
	* Updating dehydrated todo.
	* Getting remote branches after pull to account for newly added branches in git-pull-branches.

2023-11-20	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20231020.

	[ Daniel Baumann]
	* Setting protocol version in supermicro-ipmi-reset, thanks to Sakirnth Nagarasa <sakirnth@debian.org>.
	* Clearing ipv4 address in supermicro-ipmi-reset for ipv6-only mode.
	* Updating copyright notices for 2023.

2022-12-28	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20221228.

	[ Daniel Baumann ]
	* Adding supermicro tools.

2022-12-27	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20221227.

	[ Daniel Baumann ]
	* Generalizing extra ocsp symlinks too in dehydrated hooks.

2022-12-26	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20221226.

	[ Daniel Baumann ]
	* Adding root_intermediate_cert to exit_hook.extra-cleanup dehydrated hook.
	* Creating relative links for extra certificates in deploy_cert.extra dehydrated hook.

2022-12-25	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20221225.

	[ Daniel Baumann ]
	* Updating chain coments in deploy_cert.extra dehydrated hook.
	* Stripping empty lines from partial files when using short chain in deploy_cert.extra dehydrated hook.
	* Generalizing extra file generation for any number of components as needed by redis in deploy_cert.extra dehydrated hook.

2022-12-24	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20221224.

	[ Daniel Baumann ]
	* Correcting wrong date for previous release in changelog.
	* Also calling pull the current branch in git-pull-branches.
	* Excluding onboard i40e cards in linux-i40e script, as they are not configurable.
	* Adding linux-ice script.
	* Updating dehydrated todo.
	* Removing superfluous dot in output-message of dehydrated-nsupdate.
	* Adding freeradius to dehydrated service-reload hook.
	* Adding preferred chain compatibility in deploy_cert.extra dehydrated hook.

2022-12-23	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20221223.

	[ Daniel Baumann ]
	* Adding znuny-tools.
	* Adding git-pull-branches in git-tools.
	* Completely stop and start apache in dehydrated hook to ensure OCSP renewals.
	* Adding apt tools.

2022-11-22	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20221122.

	[ Daniel Baumann ]
	* Using certdir variable in dehydrated hook instead of hardcoded path.
	* Using shortnames for extra certificates in dehydrated extra hooks.
	* Adding dehydrated hook to cleanup extra files.

2022-11-08	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20221108.

	[ Daniel Baumann ]
	* Only restarting knot if it was running before in knot-zones-reset.
	* Correcting cosmetic typo in dehydrated extra-cert hook output.
	* Removing ssh remote part from knot related commands.

2022-11-01	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20221101.

	[ Daniel Baumann ]
	* Correcting file handling errors in dehydrated deploy_cert.extra hook.
	* Improving comment in dehydrated deploy_cert.chrony hook.
	* Improving CA filename prefix in dehydrated deploy_cert.extra hook.

2022-10-30	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20221030.

	[ Daniel Baumann ]
	* Merging the different extra certificate files into one dehydrated hook handling all extra copies.
	* Reworking chrony workaround (#1013882) now that we know it's going to be permanent.
	* Adding postfix to service-reload dehydrated hook.
	* Reworking service-reload dehydrated hook.
	* Reworking fix-permission dehydrated hook.
	* Improving wording of TSIG lookup hierarchy in dehydrated-nsupdate.1.
	* Temporarily passing tsig string to bind in dehydrated-nsupdate to unbreak bind support, bind requires a different keyfile format as knot.
	* Updating dig alternative handling similar to nsupdate for consistency.
	* Updating dehydrated TODO file.
	* Updating license with newer GPL-3 version containing https instead of http links.
	* Using variable for service-tools in makefile.
	* Providing individual root and intermediate certificate files in dehydrated extra hook.
	* Reworking knot-zones-reset script.
	* Adding kea tools.

2022-07-04	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20220704.

	[ Daniel Baumann ]
	* Adding privkey-fullchain hooks as used by postfix for dehydrated.

2022-06-26	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20220626.

	[ Daniel Baumann ]
	* Updating dehydrated-tools TODO file.
	* Adding dehydrated hook to workaround certificate handling in chrony (#1013882).
	* Updating upload url in makefile.

2022-06-24	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20220624.

	[ Daniel Baumann ]
	* Correcting loop over subdirectories to exclude all dot-directories, not just the one for git.

2022-06-15	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20220615.

	[ Daniel Baumann ]
	* Correcting breaking extra-quotes in dnsdist-console.
	* Adding git commands to release target in top-level Makefile.

2022-06-14	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20220614.

	[ Daniel Baumann ]
	* Only restarting kresd in dehydrated exit_hook.service-reload if tls is configured.
	* Adding test target in apache-tools makefile.
	* Adding top-level makefile.
	* Adding quotes arround some variables in dehydrated-tools to prevent globbing and word splitting.
	* Adding quotes arround some variables in dnsdist-tools to prevent globbing and word splitting.
	* Adding quotes arround some variables in linux-tools to prevent globbing and word splitting.
	* Removing unused color definitions in linux-tools.
	* Adding shellcheck exception in irker-tools for variable sourced from configuration file.
	* Using read -r to not mangle backslashes in git-tools.
	* Adding quotes arround some variables in git-tools to prevent globbing and word splitting.
	* Changing default value handling for variables in git-whoami to more portable format.
	* Consistently using curly braces for variables in git-whoami.
	* Adding support for individual TSIG files per record, zone, and nameserver rather than having one global key for all updates in dehydrated-nsupdate.
	* Handling comments in TSIG keyfiles in dehydrated-nsupdate to support disabling TSIG for individual records.
	* Completing existing dehydrated-tools manpages.
	* Updating dehydrated-tools TODO file.

2022-06-09	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20220609.

	[ Daniel Baumann ]
	* Handling ipv4-only/ipv6-only nameservers on ipv4-only/ipv6-only systems.
	* Adding dnsdist tools.

2022-05-25	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20220525.

	[ Daniel Baumann ]
	* Renaming ethtools to linux since it's about kernel module options for now.
	* Adding link-down-on-close=on in linux-i40e.
	* Refactoring linux-i40e for start/stop/status actions.
	* Adding linux-i40e manpage.

2022-05-24	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20220524.

	[ Daniel Baumann ]
	* Updating dehydrated todo file.
	* Adding ethtool-i40e.

2022-04-30	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20220430.

	[ Daniel Baumann ]
	* Using localhost as fallback in kresd-cache-clear.
	* Avoid failing if /var/lib/dehydrated/certs doesn't exist in dehydrated fix-permissions hook.
	* Restarting kresd threads only if at least one exists to support building chroots in dehydrated service-reload hook.

2022-04-14	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20220414.

	[ Daniel Baumann ]
	* Adding knot to list of services to restart in dehydrated hook.
	* Adding knot-resolver handling in dehydrated service-reload hook.
	* Using a variable to keep the list of services to restart in dehydrated hook for easier readability.

2022-01-05	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20220105.

	[ Daniel Baumann ]
	* Updating copyright notices for 2022.
	* Temporarily reverting json support in dehydrated-nsupdate, not ready just yet.

2021-12-31	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20211231.

	[ Daniel Baumann ]
	* Using long-options for dehydrated in its cronjob.
	* Running dehydrated with keep-going to ensure as much certificates are fetched as possible.
	* Adding support for kdigs out-of-tree json output to dehydrated-nsupdate.
	* Updating dehydrated TODO file.
	* Completing clean targets in dehydrated Makefile.
	* Harmonizing dehydrated manpage Makefile.
	* Adding reference to dehydrated.log in dehydrated-cron manpage.
	* Simplifying quiet output handling in git-repo-repack.

2021-12-13	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20211213.

	[ Daniel Baumann ]
	* Correcting current and default branch handling in git-checkout-branches.
	* Adding vim-tools.

2021-09-28	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20210928.

	[ Daniel Baumann ]
	* Changing variable usage and quoting for 'git gc' options to fix git-repo-repack with newer git versions.
	* Actually run dehydrated in dehydrated-cron.

2021-09-26	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20210926.

	[ Daniel Baumann ]
	* Correcting wrong directory-name when installing git hooks.

2021-09-08	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20210908.

	[ Daniel Baumann ]
	* Handling IDN domains in dehydrated-nsupdate by not expanding the punycode.

2021-09-07	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20210907.

	[ Daniel Baumann ]
	* Updating knot-zone-reset to really remove all in-memory data completely.
	* Renaming knot-zone-reset to knot-reset-zones for consistency.
	* Adding manpage tooling for dehydrated-tools.
	* Adding initial dehydrated-hook manpage.
	* Adding initial dehydrated-nsupdate manpage.
	* Adding initial dehydrated-cron manpage.
	* Updating dehydrated todo file.

2021-09-06	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20210906.

	[ Daniel Baumann ]
	* Adding knot-reset-zone cron.
	* Making dehydrated-nsupdate more robust and cope with local but not-cached authoritative zone outputs.

2021-09-05	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20210905.

	[ Daniel Baumann ]
	* Renaming dehydrated-hook.d to dehydrated-hook for consistency.
	* Renaming giit-hook.d to git-hook for consistency.
	* Updating dehydrated todo file.
	* Adding tsig keyfile support to dehydrated-nsupdate.

2021-09-04	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20210904.

	[ Daniel Baumann ]
	* Adding dehydrated TODO file.
	* Adding knot tools.
	* Reading configuration files in dehydrated-nsupdate for future tsig support.
	* Using less confusing variable name for the txt record to update in dehydrated-nsupdate.
	* Improving message when update txt records in dehydrated-nsupdate.
	* Harmonizing copyright headers.
	* Correcting typo in date of previous changelog entry.

2021-08-28	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20210828.

	[ Daniel Baumann ]
	* Moving apache files to subdirectory.
	* Using rst instead of asciidoc for manpage generation.
	* Adding dehydrated tools.
	* Adding git tools.
	* Adding irker tools.
	* Adding knot-resolver tools.

2019-03-01	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20190301.

	[ Daniel Baumann ]
	* Adding SPDX License Identifiers.
	* Updating blank.svg.
	* Switching from font-awesome to fork-awesome.
	* Updating Makefile for rename to service-tools.
	* Updating manpage for rename to service-tools.
	* Updating apache configs for rename to service-tools.
	* Updating copyright headers for 2019.

2017-07-01	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20170701.

	[ Daniel Baumann ]
	* Updating SVGs to inkscape 0.92 format.
	* Updating link to Git repository for the Debian packaging in apache-icons manpage.
	* Correcting wrong manpage source reference in apache-icons manpage.

2017-04-05	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20170405.

	[ Daniel Baumann ]
	* Updating year in copyright information for 2017.
	* Completing uninstall target in makefile.
	* Shortening manpage parts in uninstall target in makefile.

2016-12-10	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20161210.

	[ Daniel Baumann ]
	* Correcting filename of version file.
	* Adding note about installation on ubuntu in readme file.
	* Updating development section in readme file.
	* Adding note about installation on ubuntu in manpage.
	* Updating development section in manpage.
	* Harmonizing asciidoc formatting in manpage.
	* Replacing README.txt with a copy of apache-tools.7 manpage.
	* Installing README.txt into documentation directory.
	* Installing all generic text files as documentation.

2016-11-01	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20161101.

	[ Daniel Baumann ]
	* Adding icon for optical media images.
	* Adding icon for harddisk media images.
	* Adding dedicated icon for checksum and signature files.
	* Adding filename suffix for checksums.
	* Adding author name to changelog file.

2016-07-01	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20160701.

	[ Daniel Baumann ]
	* Added further file suffixes for text icon.
	* Correcting and updating existing documentation.
	* Adding apache-icons manpage.

2016-06-01	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20160601.
